## geany 0.16

=== wscript ===
#!/usr/bin/env python
# -*- coding: utf-8 -*-
#
# WAF build script - this file is part of Geany, a fast and lightweight IDE
#
# Copyright 2008-2009 Enrico Tröger <enrico(dot)troeger(at)uvena(dot)de>
# Copyright 2008-2009 Nick Treleaven <nick(dot)treleaven(at)btinternet(dot)com>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
#
# $Id: wscript 3534 2009-02-01 19:14:50Z eht16 $

"""
This is a WAF build script (http://code.google.com/p/waf/).
It can be used as an alternative build system to autotools
for Geany. It does not (yet) cover all of the autotools tests and
configure options but all important things are working.
"make dist" should be done with autotools, most other targets and
functions should work better (regarding performance and flexibility)
or at least equally.

Missing features: --enable-binreloc, make targets: dist, pdf (in doc/)
Known issues: Dependency handling is buggy, e.g. if src/document.h is
			  changed, depending source files are not rebuilt (maybe Waf bug).

Requires WAF 1.5.3 and Python 2.4 (or later).
"""


import Build, Configure, Options, Utils
import sys, os, shutil
from distutils import version


APPNAME = 'geany'
VERSION = '0.16'

srcdir = '.'
blddir = '_build_'


tagmanager_sources = [
	'tagmanager/args.c', 'tagmanager/asm.c', 'tagmanager/basic.c', 'tagmanager/c.c',
	'tagmanager/conf.c', 'tagmanager/css.c', 'tagmanager/ctags.c', 'tagmanager/diff.c',
	'tagmanager/docbook.c', 'tagmanager/entry.c', 'tagmanager/fortran.c', 'tagmanager/get.c',
	'tagmanager/haskell.c', 'tagmanager/haxe.c', 'tagmanager/html.c', 'tagmanager/js.c',
	'tagmanager/keyword.c', 'tagmanager/latex.c', 'tagmanager/lregex.c', 'tagmanager/lua.c',
	'tagmanager/make.c', 'tagmanager/matlab.c', 'tagmanager/options.c', 'tagmanager/parse.c',
	'tagmanager/pascal.c',
	'tagmanager/perl.c', 'tagmanager/php.c', 'tagmanager/python.c', 'tagmanager/read.c',
	'tagmanager/rest.c', 'tagmanager/ruby.c', 'tagmanager/sh.c', 'tagmanager/sort.c',
	'tagmanager/sql.c', 'tagmanager/strlist.c', 'tagmanager/tcl.c', 'tagmanager/tm_file_entry.c',
	'tagmanager/tm_project.c', 'tagmanager/tm_source_file.c', 'tagmanager/tm_symbol.c',
	'tagmanager/tm_tag.c', 'tagmanager/tm_tagmanager.c', 'tagmanager/tm_work_object.c',
	'tagmanager/tm_workspace.c', 'tagmanager/vhdl.c', 'tagmanager/vstring.c' ]

scintilla_sources = [
	'scintilla/AutoComplete.cxx', 'scintilla/CallTip.cxx', 'scintilla/CellBuffer.cxx',
	'scintilla/CharClassify.cxx', 'scintilla/ContractionState.cxx', 'scintilla/Decoration.cxx',
	'scintilla/DocumentAccessor.cxx', 'scintilla/Document.cxx', 'scintilla/Editor.cxx',
	'scintilla/ExternalLexer.cxx',  'scintilla/Indicator.cxx',  'scintilla/KeyMap.cxx',
	'scintilla/KeyWords.cxx', 'scintilla/LexAda.cxx', 'scintilla/LexAsm.cxx', 'scintilla/LexBash.cxx',
	'scintilla/LexBasic.cxx', 'scintilla/LexCaml.cxx', 'scintilla/LexCmake.cxx', 'scintilla/LexCPP.cxx',
	'scintilla/LexCrontab.cxx', 'scintilla/LexCSS.cxx', 'scintilla/LexD.cxx',
	'scintilla/LexFortran.cxx', 'scintilla/LexHaskell.cxx', 'scintilla/LexHTML.cxx',
	'scintilla/LexLua.cxx', 'scintilla/LexNsis.cxx', 'scintilla/LexOthers.cxx',
	'scintilla/LexPascal.cxx', 'scintilla/LexPerl.cxx', 'scintilla/LexPython.cxx',
	'scintilla/LexR.cxx', 'scintilla/LexMatlab.cxx', 'scintilla/LexYAML.cxx',
	'scintilla/LexRuby.cxx', 'scintilla/LexSQL.cxx', 'scintilla/LexTCL.cxx',
	'scintilla/LexVHDL.cxx', 'scintilla/LineMarker.cxx', 'scintilla/PlatGTK.cxx',
	'scintilla/PositionCache.cxx', 'scintilla/PropSet.cxx', 'scintilla/RESearch.cxx',
	'scintilla/RunStyles.cxx', 'scintilla/ScintillaBase.cxx', 'scintilla/ScintillaGTK.cxx',
	'scintilla/scintilla-marshal.c', 'scintilla/StyleContext.cxx', 'scintilla/Style.cxx',
	'scintilla/UniConversion.cxx', 'scintilla/ViewStyle.cxx', 'scintilla/WindowAccessor.cxx',
	'scintilla/XPM.cxx' ]

geany_sources = [
	'src/about.c', 'src/build.c', 'src/callbacks.c', 'src/dialogs.c', 'src/document.c',
	'src/editor.c', 'src/encodings.c', 'src/filetypes.c', 'src/geanyentryaction.c',
	'src/geanymenubuttonaction.c', 'src/geanyobject.c', 'src/geanywraplabel.c',
	'src/highlighting.c', 'src/interface.c', 'src/keybindings.c',
	'src/keyfile.c', 'src/log.c', 'src/main.c', 'src/msgwindow.c', 'src/navqueue.c', 'src/notebook.c',
	'src/plugins.c', 'src/prefix.c', 'src/prefs.c', 'src/printing.c', 'src/project.c',
	'src/queue.c', 'src/sciwrappers.c', 'src/search.c', 'src/socket.c', 'src/stash.c',
	'src/symbols.c',
	'src/templates.c', 'src/toolbar.c', 'src/tools.c', 'src/treeviews.c',
	'src/ui_utils.c', 'src/utils.c' ]



def configure(conf):
	def conf_get_svn_rev():
		# try GIT
		if os.path.exists('.git'):
			cmds = [ 'git svn find-rev HEAD 2>/dev/null',
					 'git svn find-rev origin/trunk 2>/dev/null',
					 'git svn find-rev trunk 2>/dev/null',
					 'git svn find-rev master 2>/dev/null' ]
			for c in cmds:
				try:
					stdout = Utils.cmd_output(c)
					if stdout:
						return stdout.strip()
				except:
					pass
		# try SVN
		elif os.path.exists('.svn'):
			try:
				stdout = Utils.cmd_output(cmd='svn info --non-interactive', env={'LANG' : 'C'})
				lines = stdout.splitlines(True)
				for line in lines:
					if line.startswith('Last Changed Rev'):
						key, value = line.split(': ', 1)
						return value.strip()
			except:
				pass
		else:
			pass
		return '-1'

	def conf_define_from_opt(define_name, opt_name, default_value, quote=1):
		if opt_name:
			if isinstance(opt_name, bool):
				opt_name = 1
			conf.define(define_name, opt_name, quote)
		elif default_value:
			conf.define(define_name, default_value, quote)

	conf.check_tool('compiler_cc')

	conf.check(header_name='fcntl.h')
	conf.check(header_name='fnmatch.h')
	conf.check(header_name='glob.h')
	conf.check(header_name='sys/time.h')
	conf.check(header_name='sys/types.h')
	conf.check(header_name='sys/stat.h')
	conf.define('HAVE_STDLIB_H', 1) # are there systems without stdlib.h?
	conf.define('STDC_HEADERS', 1) # an optimistic guess ;-)

	if Options.options.gnu_regex:
		conf.define('HAVE_REGCOMP', 1, 0)
		conf.define('USE_INCLUDED_REGEX', 1, 0)
	else:
		conf.check(header_name='regex.h')
		if conf.env['HAVE_REGEX_H'] == 1:
			conf.check(function_name='regcomp', header_name='regex.h')
		# fallback to included regex lib
		if conf.env['HAVE_REGCOMP'] != 1 or conf.env['HAVE_REGEX_H'] != 1:
			conf.define('HAVE_REGCOMP', 1, 0)
			conf.define('USE_INCLUDED_REGEX', 1, 0)
			Utils.pprint('YELLOW', 'Using included GNU regex library.')

	conf.check(function_name='fgetpos', header_name='stdio.h')
	conf.check(function_name='ftruncate', header_name='unistd.h')
	conf.check(function_name='gethostname', header_name='unistd.h')
	conf.check(function_name='mkstemp', header_name='stdlib.h')
	conf.check(function_name='strstr', header_name='string.h', mandatory=True)

	# check for cxx after the header and function checks have been done to ensure they are
	# checked with cc not cxx
	conf.check_tool('compiler_cxx intltool misc')

	conf.check_cfg(package='gtk+-2.0', atleast_version='2.8.0', uselib_store='GTK',
		mandatory=True, args='--cflags --libs')

	# GTK version check
	have_gtk_210 = False
	gtk_version = conf.check_cfg(modversion='gtk+-2.0', uselib_store='GTK')
	if gtk_version:
		if version.LooseVersion(gtk_version) >= version.LooseVersion('2.10.0'):
			have_gtk_210 = True
	else:
		gtk_version = 'Unknown'
	# GIO check
	conf.check_cfg(package='gio-2.0', uselib_store='GIO', args='--cflags --libs', mandatory=False)

	conf_define_from_opt('LIBDIR', Options.options.libdir, conf.env['PREFIX'] + '/lib')
	conf_define_from_opt('DOCDIR', Options.options.docdir, conf.env['DATADIR'] + '/doc/geany')
	conf_define_from_opt('MANDIR', Options.options.mandir, conf.env['DATADIR'] + '/man')

	svn_rev = conf_get_svn_rev()
	conf.define('ENABLE_NLS', 1)
	conf.define('GEANY_LOCALEDIR', 'LOCALEDIR', 0)
	conf.define('GEANY_DATADIR', 'DATADIR', 0)
	conf.define('GEANY_DOCDIR', 'DOCDIR', 0)
	conf.define('GEANY_LIBDIR', 'LIBDIR', 0)
	conf.define('GEANY_PREFIX', conf.env['PREFIX'], 1)
	conf.define('PACKAGE', APPNAME, 1)
	conf.define('VERSION', VERSION, 1)
	conf.define('REVISION', svn_rev, 1)

	conf.define('GETTEXT_PACKAGE', APPNAME, 1)

	conf_define_from_opt('HAVE_PLUGINS', not Options.options.no_plugins, None, 0)
	conf_define_from_opt('HAVE_SOCKET', not Options.options.no_socket, None, 0)
	conf_define_from_opt('HAVE_VTE', not Options.options.no_vte, None, 0)

	conf.write_config_header('config.h')

	Utils.pprint('BLUE', 'Summary:')
	print_message(conf, 'Install Geany ' + VERSION + ' in', conf.env['PREFIX'])
	print_message(conf, 'Using GTK version', gtk_version)
	print_message(conf, 'Build with GTK printing support', have_gtk_210 and 'yes' or 'no')
	print_message(conf, 'Build with plugin support', Options.options.no_plugins and 'no' or 'yes')
	print_message(conf, 'Use virtual terminal support', Options.options.no_vte and 'no' or 'yes')
	if svn_rev != '-1':
		print_message(conf, 'Compiling Subversion revision', svn_rev)
		conf.env.append_value('CCFLAGS', '-g -DGEANY_DEBUG'.split())

	conf.env.append_value('CCFLAGS', '-DHAVE_CONFIG_H')
	# Scintilla flags
	conf.env.append_value('CXXFLAGS', '-DNDEBUG -DGTK -DGTK2 -DSCI_LEXER -DG_THREADS_IMPL_NONE'.split())


def set_options(opt):
	opt.tool_options('compiler_cc')
	opt.tool_options('compiler_cxx')
	opt.tool_options('intltool')

	if 'configure' in sys.argv:
		# Features
		opt.add_option('--disable-plugins', action='store_true', default=False,
			help='compile without plugin support [default: No]', dest='no_plugins')
		opt.add_option('--disable-socket', action='store_true', default=False,
			help='compile without support to detect a running instance [[default: No]', dest='no_socket')
		opt.add_option('--disable-vte', action='store_true', default=False,
			help='compile without support for an embedded virtual terminal [[default: No]', dest='no_vte')
		opt.add_option('--enable-gnu-regex', action='store_true', default=False,
			help='compile with included GNU regex library [default: No]', dest='gnu_regex')
		# Paths
		opt.add_option('--mandir', type='string', default='',
			help='man documentation', dest='mandir')
		opt.add_option('--docdir', type='string', default='',
			help='documentation root', dest='docdir')
		opt.add_option('--libdir', type='string', default='',
			help='object code libraries', dest='libdir')
	# Actions
	opt.add_option('--htmldoc', action='store_true', default=False,
		help='generate HTML documentation', dest='htmldoc')
	opt.add_option('--apidoc', action='store_true', default=False,
		help='generate API reference documentation', dest='apidoc')
	opt.add_option('--update-po', action='store_true', default=False,
		help='update the message catalogs for translation', dest='update_po')


def build(bld):
	def build_plugin(plugin_name, install = True):
		if install:
			instpath = '${LIBDIR}/geany/'
		else:
			instpath = None

		bld.new_task_gen(
			features				='cc cshlib',
			source					= 'plugins/' + plugin_name + '.c',
			includes				= '. plugins/ src/ scintilla/include tagmanager/include',
			target					= plugin_name,
			uselib					= 'GTK',
			install_path			= instpath,
		)
		bld.env['shlib_PATTERN']	= '%s.so'


	# Tagmanager
	if bld.env['USE_INCLUDED_REGEX'] == 1:
		tagmanager_sources.append('tagmanager/regex.c')
	bld.new_task_gen(
		features		= 'cc cstaticlib',
		source			= tagmanager_sources,
		name			= 'tagmanager',
		target			= 'tagmanager',

## geany 0.17-1~bpo50%2B1

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

include /usr/share/dpatch/dpatch.make

CFLAGS = -Wall -g
#LDFLAGS =  -Wl,-z,defs -Wl,-as-needed

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

config.status: configure
	dh_testdir
	# Add here commands to configure the package.
	CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)" ./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info --enable-vte --enable-pipe --enable-the-force


build: build-stamp

build-stamp: config.status patch
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)

	touch build-stamp

clean: unpatch
	dh_testdir
	dh_testroot
	rm -f build-stamp 

	# Add here commands to clean up after the build process.
	[ ! -f Makefile ] || $(MAKE) distclean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/geany.
	$(MAKE) install DESTDIR=$(CURDIR)/debian/geany
	-rm -f $(CURDIR)/debian/geany/usr/share/geany/GPL-2
	-rm -f $(CURDIR)/debian/geany/usr/share/doc/geany/COPYING \
	       $(CURDIR)/debian/geany/usr/share/doc/geany/ScintillaLicense.txt \
	       $(CURDIR)/debian/geany/usr/share/doc/geany/AUTHORS \
	       $(CURDIR)/debian/geany/usr/share/doc/geany/ChangeLog


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs
	dh_install
	dh_installmenu
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install patch unpatch

## geany 0.17-1~bpo50+1

=== wscript ===
--- 
+++ 
@@ -20,7 +20,7 @@
 # along with this program; if not, write to the Free Software
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 #
-# $Id: wscript 3534 2009-02-01 19:14:50Z eht16 $
+# $Id: wscript 3716 2009-04-21 20:52:19Z eht16 $
 
 """
 This is a WAF build script (http://code.google.com/p/waf/).
@@ -45,20 +45,21 @@
 
 
 APPNAME = 'geany'
-VERSION = '0.16'
+VERSION = '0.17'
 
 srcdir = '.'
 blddir = '_build_'
 
 
 tagmanager_sources = [
-	'tagmanager/args.c', 'tagmanager/asm.c', 'tagmanager/basic.c', 'tagmanager/c.c',
+	'tagmanager/args.c', 'tagmanager/actionscript.c', 'tagmanager/asm.c',
+	'tagmanager/basic.c', 'tagmanager/c.c',
 	'tagmanager/conf.c', 'tagmanager/css.c', 'tagmanager/ctags.c', 'tagmanager/diff.c',
 	'tagmanager/docbook.c', 'tagmanager/entry.c', 'tagmanager/fortran.c', 'tagmanager/get.c',
 	'tagmanager/haskell.c', 'tagmanager/haxe.c', 'tagmanager/html.c', 'tagmanager/js.c',
 	'tagmanager/keyword.c', 'tagmanager/latex.c', 'tagmanager/lregex.c', 'tagmanager/lua.c',
-	'tagmanager/make.c', 'tagmanager/matlab.c', 'tagmanager/options.c', 'tagmanager/parse.c',
-	'tagmanager/pascal.c',
+	'tagmanager/make.c', 'tagmanager/matlab.c', 'tagmanager/nsis.c', 'tagmanager/options.c',
+	'tagmanager/parse.c', 'tagmanager/pascal.c',
 	'tagmanager/perl.c', 'tagmanager/php.c', 'tagmanager/python.c', 'tagmanager/read.c',
 	'tagmanager/rest.c', 'tagmanager/ruby.c', 'tagmanager/sh.c', 'tagmanager/sort.c',
 	'tagmanager/sql.c', 'tagmanager/strlist.c', 'tagmanager/tcl.c', 'tagmanager/tm_file_entry.c',
@@ -279,5 +280,3 @@
 	bld.new_task_gen(
 		features		= 'cc cstaticlib',
 		source			= tagmanager_sources,
-		name			= 'tagmanager',
-		target			= 'tagmanager',

=== debian/changelog ===
geany (0.17-1~bpo50+1) lenny-backports; urgency=low

  * New upstream release
  * 20_add_debdiff_as_diff_type.dpatch renamed as
    20_add_debian_specific_filetypes.dpatch, 
    - add .dpatch as a diff filetype
    - add control as a conf filetype
  * 20_change_gpl_location.dpatch freshen
  * add 20_debian_control_tags.dpatch better handling of debian/control files.
    Thanks to Enrico Tröger. (Closes: #520776)
  * debian/copyright Add Frank Lanitz, update years

 -- Damián Viano <des@debian.org>  Fri, 29 May 2009 21:22:54 -0300

geany (0.15-1) experimental; urgency=low

  * New upstream release
    - Allow loading projects from command line (Closes: #498854)
    - Fix a problem disabling the save icon inappropriately (Closes: #482875)
    - Detect makefiles from shebang and force using tabs
      for their indentation (Closes: #481198)
  * Remove Apps from doc-base section
  * Change homepage and related links to the new www.geany.org official domain

 -- Damián Viano <des@debian.org>  Sun, 26 Oct 2008 19:44:46 -0200

geany (0.14-1) unstable; urgency=low

  * New upstream release (Closes: #478126)

 -- Damián Viano <des@debian.org>  Fri, 02 May 2008 11:37:45 -0300

geany (0.13-1) unstable; urgency=low

  * New upstream release
    - Add filebrowser plugin (Closes: #440978)

 -- Damián Viano <des@debian.org>  Sat, 16 Feb 2008 19:27:19 -0200

geany (0.12-2) unstable; urgency=low

  * Add 20_add_debdiff_as_diff_type to recognize .debdiff files as diffs
    (Closes: #453516)

 -- Damián Viano <des@debian.org>  Wed, 05 Dec 2007 16:47:02 -0300

geany (0.12-1) unstable; urgency=low

  * New upstream release
    - Updates scintilla component (Closes: #438876, #426766)
    - Add mimetype declaration in the .desktop file (Closes: #416620)
  * Add intltool to Build-Depends

 -- Damián Viano <des@debian.org>  Mon, 29 Oct 2007 18:24:05 -0300

geany (0.11-2) unstable; urgency=low

  * Add versioned dependency against libgtk2.0-dev since geany code depends on
    it for notebook dnd at the moment

 -- Damián Viano <des@debian.org>  Mon, 11 Jun 2007 14:47:31 -0300

geany (0.11-1) unstable; urgency=low

  * New upstream release

 -- Damián Viano <des@debian.org>  Thu, 24 May 2007 07:15:52 -0300

geany (0.10.2-3) unstable; urgency=low

  * Change suggests to newer libvte, thanks to Andreas Tscharner (Closes: #421568)

 -- Damián Viano <des@debian.org>  Mon, 30 Apr 2007 20:17:06 -0300

geany (0.10.2-2) unstable; urgency=low

  * Upload to get geany 0.10.2 into sid
  * Change maintainer mail address

 -- Damián Viano <des@debian.org>  Sat, 28 Apr 2007 08:34:00 -0300

geany (0.10.2-1) experimental; urgency=low

  * New upstream release

 -- Damián Viano <debian@damianv.com.ar>  Sun, 25 Feb 2007 16:39:56 -0300

geany (0.10.1-1) unstable; urgency=low

  * New upstream release

 -- Damián Viano <debian@damianv.com.ar>  Sun, 25 Feb 2007 15:31:13 -0300

geany (0.10-1) unstable; urgency=low

  * New upstream release

 -- Damián Viano <debian@damianv.com.ar>  Sun, 24 Dec 2006 12:17:24 -0300

geany (0.9-1) unstable; urgency=low

  * New upstream release

 -- Damián Viano <debian@damianv.com.ar>  Fri, 29 Sep 2006 06:13:18 -0300

geany (0.8-1) unstable; urgency=low

  * New upstream release
    - Fixed clipboard commands used in the find entry and Scribble (Closes: #377060)
    - Don't autocomplete constructs inside a string (Closes: #377090)

 -- Damián Viano <debian@damianv.com.ar>  Wed,  9 Aug 2006 19:35:11 -0300

geany (0.7.1-1) unstable; urgency=low

  * New upstream release
    - Added Scintilla license
  * debian/copyright: included Scintilla license and copyright

 -- Damián Viano <debian@damianv.com.ar>  Sun, 25 Jun 2006 12:10:13 -0300

geany (0.7-1) unstable; urgency=low

  * Initial release (Closes: #360760)

 -- Damián Viano <debian@damianv.com.ar>  Tue,  6 Jun 2006 12:54:23 -0300

=== debian/control ===
Source: geany
Section: devel
Priority: optional
Maintainer: Damián Viano <des@debian.org>
Homepage: http://www.geany.org
Vcs-Svn: http://geany.svn.sourceforge.net/svnroot/geany/trunk/
Vcs-Browser: http://geany.svn.sourceforge.net/viewvc/geany/
Build-Depends: debhelper (>= 5.0.0), dpatch, libgtk2.0-dev (>= 2.10), libglib2.0-dev, libatk1.0-dev, libpango1.0-dev, intltool
Standards-Version: 3.8.1

Package: geany
Architecture: any
Depends: ${shlibs:Depends}
Suggests: libvte9, doc-base
Description: A fast and lightweight IDE
 Geany is a small and lightweight integrated development environment.
 It was developed to provide a small and fast IDE, which has only a
 few dependencies from other packages. It is using only the GTK2 toolkit
 and therefore you need only the GTK2 runtime libraries to run Geany.
 .
 The basic features of Geany are:
  - syntax highlighting
  - code completion
  - auto completion of constructs like if, for and while, XML and HTML
  - call tips
  - folding
  - many supported filetypes like C, Java, PHP, HTML, Python, Perl, Pascal
  - symbol lists
  - embedded terminal emulation
 .

## geany 0.18

=== wscript ===
--- 
+++ 
@@ -20,7 +20,7 @@
 # along with this program; if not, write to the Free Software
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 #
-# $Id: wscript 3716 2009-04-21 20:52:19Z eht16 $
+# $Id: wscript 4079 2009-08-13 21:59:33Z eht16 $
 
 """
 This is a WAF build script (http://code.google.com/p/waf/).
@@ -35,17 +35,26 @@
 Known issues: Dependency handling is buggy, e.g. if src/document.h is
 			  changed, depending source files are not rebuilt (maybe Waf bug).
 
-Requires WAF 1.5.3 and Python 2.4 (or later).
+The code of this file itself loosely follows PEP 8 with some exceptions 
+(line width 100 characters and some other minor things).
+
+Requires WAF 1.5.7 and Python 2.4 (or later).
 """
 
 
-import Build, Configure, Options, Utils
-import sys, os, shutil
+import Build
+import Configure
+import Options
+import Utils
+import sys
+import os
+import shutil
+import tempfile
 from distutils import version
 
 
 APPNAME = 'geany'
-VERSION = '0.17'
+VERSION = '0.18'
 
 srcdir = '.'
 blddir = '_build_'
@@ -58,7 +67,8 @@
 	'tagmanager/docbook.c', 'tagmanager/entry.c', 'tagmanager/fortran.c', 'tagmanager/get.c',
 	'tagmanager/haskell.c', 'tagmanager/haxe.c', 'tagmanager/html.c', 'tagmanager/js.c',
 	'tagmanager/keyword.c', 'tagmanager/latex.c', 'tagmanager/lregex.c', 'tagmanager/lua.c',
-	'tagmanager/make.c', 'tagmanager/matlab.c', 'tagmanager/nsis.c', 'tagmanager/options.c',
+	'tagmanager/make.c', 'tagmanager/markdown.c', 'tagmanager/matlab.c', 'tagmanager/nsis.c',
+	'tagmanager/nestlevel.c', 'tagmanager/options.c',
 	'tagmanager/parse.c', 'tagmanager/pascal.c',
 	'tagmanager/perl.c', 'tagmanager/php.c', 'tagmanager/python.c', 'tagmanager/read.c',
 	'tagmanager/rest.c', 'tagmanager/ruby.c', 'tagmanager/sh.c', 'tagmanager/sort.c',
@@ -72,15 +82,19 @@
 	'scintilla/CharClassify.cxx', 'scintilla/ContractionState.cxx', 'scintilla/Decoration.cxx',
 	'scintilla/DocumentAccessor.cxx', 'scintilla/Document.cxx', 'scintilla/Editor.cxx',
 	'scintilla/ExternalLexer.cxx',  'scintilla/Indicator.cxx',  'scintilla/KeyMap.cxx',
-	'scintilla/KeyWords.cxx', 'scintilla/LexAda.cxx', 'scintilla/LexAsm.cxx', 'scintilla/LexBash.cxx',
+	'scintilla/KeyWords.cxx',
+	'scintilla/LexAda.cxx', 'scintilla/LexAsm.cxx', 'scintilla/LexBash.cxx',
 	'scintilla/LexBasic.cxx', 'scintilla/LexCaml.cxx', 'scintilla/LexCmake.cxx', 'scintilla/LexCPP.cxx',
 	'scintilla/LexCrontab.cxx', 'scintilla/LexCSS.cxx', 'scintilla/LexD.cxx',
 	'scintilla/LexFortran.cxx', 'scintilla/LexHaskell.cxx', 'scintilla/LexHTML.cxx',
-	'scintilla/LexLua.cxx', 'scintilla/LexNsis.cxx', 'scintilla/LexOthers.cxx',
+	'scintilla/LexLua.cxx', 'scintilla/LexMarkdown.cxx', 'scintilla/LexMatlab.cxx',
+	'scintilla/LexNsis.cxx', 'scintilla/LexOthers.cxx',
 	'scintilla/LexPascal.cxx', 'scintilla/LexPerl.cxx', 'scintilla/LexPython.cxx',
-	'scintilla/LexR.cxx', 'scintilla/LexMatlab.cxx', 'scintilla/LexYAML.cxx',
+	'scintilla/LexR.cxx',
 	'scintilla/LexRuby.cxx', 'scintilla/LexSQL.cxx', 'scintilla/LexTCL.cxx',
-	'scintilla/LexVHDL.cxx', 'scintilla/LineMarker.cxx', 'scintilla/PlatGTK.cxx',
+	'scintilla/LexVHDL.cxx', 'scintilla/LexYAML.cxx',
+	'scintilla/LineMarker.cxx', 'scintilla/PerLine.cxx',
+	'scintilla/PlatGTK.cxx',
 	'scintilla/PositionCache.cxx', 'scintilla/PropSet.cxx', 'scintilla/RESearch.cxx',
 	'scintilla/RunStyles.cxx', 'scintilla/ScintillaBase.cxx', 'scintilla/ScintillaGTK.cxx',
 	'scintilla/scintilla-marshal.c', 'scintilla/StyleContext.cxx', 'scintilla/Style.cxx',
@@ -93,7 +107,7 @@
 	'src/geanymenubuttonaction.c', 'src/geanyobject.c', 'src/geanywraplabel.c',
 	'src/highlighting.c', 'src/interface.c', 'src/keybindings.c',
 	'src/keyfile.c', 'src/log.c', 'src/main.c', 'src/msgwindow.c', 'src/navqueue.c', 'src/notebook.c',
-	'src/plugins.c', 'src/prefix.c', 'src/prefs.c', 'src/printing.c', 'src/project.c',
+	'src/plugins.c', 'src/pluginutils.c', 'src/prefix.c', 'src/prefs.c', 'src/printing.c', 'src/project.c',
 	'src/queue.c', 'src/sciwrappers.c', 'src/search.c', 'src/socket.c', 'src/stash.c',
 	'src/symbols.c',
 	'src/templates.c', 'src/toolbar.c', 'src/tools.c', 'src/treeviews.c',
@@ -119,7 +133,8 @@
 		# try SVN
 		elif os.path.exists('.svn'):
 			try:
-				stdout = Utils.cmd_output(cmd='svn info --non-interactive', env={'LANG' : 'C'})
+				_env = None if is_win32 else {'LANG' : 'C'}
+				stdout = Utils.cmd_output(cmd='svn info --non-interactive', silent=True, env=_env)
 				lines = stdout.splitlines(True)
 				for line in lines:
 					if line.startswith('Last Changed Rev'):
@@ -139,7 +154,9 @@
 		elif default_value:
 			conf.define(define_name, default_value, quote)
 
+
 	conf.check_tool('compiler_cc')
+	is_win32 = target_is_win32(conf.env)
 
 	conf.check(header_name='fcntl.h')
 	conf.check(header_name='fnmatch.h')
@@ -171,12 +188,19 @@
 
 	# check for cxx after the header and function checks have been done to ensure they are
 	# checked with cc not cxx
-	conf.check_tool('compiler_cxx intltool misc')
-
+	conf.check_tool('compiler_cxx misc')
+	if is_win32:
+		conf.check_tool('winres')
+	# we don't require intltool on Windows (it would require Perl) though it works well
+	try:
+		conf.check_tool('intltool')
+	except:
+		pass
+
+
+	# GTK / GIO version check
 	conf.check_cfg(package='gtk+-2.0', atleast_version='2.8.0', uselib_store='GTK',
 		mandatory=True, args='--cflags --libs')
-
-	# GTK version check
 	have_gtk_210 = False
 	gtk_version = conf.check_cfg(modversion='gtk+-2.0', uselib_store='GTK')
 	if gtk_version:
@@ -184,20 +208,47 @@
 			have_gtk_210 = True
 	else:
 		gtk_version = 'Unknown'
-	# GIO check
 	conf.check_cfg(package='gio-2.0', uselib_store='GIO', args='--cflags --libs', mandatory=False)
 
-	conf_define_from_opt('LIBDIR', Options.options.libdir, conf.env['PREFIX'] + '/lib')
-	conf_define_from_opt('DOCDIR', Options.options.docdir, conf.env['DATADIR'] + '/doc/geany')
-	conf_define_from_opt('MANDIR', Options.options.mandir, conf.env['DATADIR'] + '/man')
+	# Windows specials
+	if is_win32:
+		if conf.env['PREFIX'] == tempfile.gettempdir():
+			# overwrite default prefix on Windows (tempfile.gettempdir() is the Waf default)
+			conf.define('PREFIX', os.path.join(conf.srcdir, '%s-%s' % (APPNAME, VERSION)), 1)
+		conf.define('DOCDIR', os.path.join(conf.env['PREFIX'], 'doc'), 1)
+		conf.define('LOCALEDIR', os.path.join(conf.env['PREFIX'], 'share\locale'), 1)
+		conf.define('LIBDIR', conf.env['PREFIX'], 1)
+		# DATADIR is defined in objidl.h, so we remove it from config.h but keep it in env
+		conf.undefine('DATADIR')
+		conf.env['DATADIR'] = os.path.join(conf.env['PREFIX'], 'data')
+		# hack: we add the parent directory of the first include directory as this is missing in
+		# list returned from pkg-config
+		conf.env['CPPPATH_GTK'].insert(0, os.path.dirname(conf.env['CPPPATH_GTK'][0]))
+		# we don't need -fPIC when compiling on or for Windows
+		if '-fPIC' in conf.env['shlib_CCFLAGS']:
+			conf.env['shlib_CCFLAGS'].remove('-fPIC')
+		if '-fPIC' in conf.env['CXXFLAGS']:
+			conf.env['CXXFLAGS'].remove('-fPIC')
+		conf.env.append_value('program_LINKFLAGS', '-mwindows')
+		conf.env.append_value('LIB_WIN32', [ 'wsock32', 'uuid', 'ole32', 'iberty' ])
+		conf.env['shlib_PATTERN'] = '%s.dll'
+		conf.env['program_PATTERN'] = '%s.exe'
+	else:
+		conf.env['shlib_PATTERN'] = '%s.so'
+		conf_define_from_opt('DOCDIR', Options.options.docdir,
+			os.path.join(conf.env['DATADIR'], 'doc/geany'))
+		conf_define_from_opt('LIBDIR', Options.options.libdir,
+			os.path.join(conf.env['PREFIX'], 'lib'))
+		conf_define_from_opt('MANDIR', Options.options.mandir,
+			os.path.join(conf.env['DATADIR'], 'man'))
 
 	svn_rev = conf_get_svn_rev()
 	conf.define('ENABLE_NLS', 1)
-	conf.define('GEANY_LOCALEDIR', 'LOCALEDIR', 0)
-	conf.define('GEANY_DATADIR', 'DATADIR', 0)
-	conf.define('GEANY_DOCDIR', 'DOCDIR', 0)
-	conf.define('GEANY_LIBDIR', 'LIBDIR', 0)
-	conf.define('GEANY_PREFIX', conf.env['PREFIX'], 1)
+	conf.define('GEANY_LOCALEDIR', '' if is_win32 else conf.env['LOCALEDIR'], 1)
+	conf.define('GEANY_DATADIR', 'data' if is_win32 else conf.env['DATADIR'], 1)
+	conf.define('GEANY_DOCDIR', conf.env['DOCDIR'], 1)
+	conf.define('GEANY_LIBDIR', '' if is_win32 else conf.env['LIBDIR'], 1)
+	conf.define('GEANY_PREFIX', '' if is_win32 else conf.env['PREFIX'], 1)
 	conf.define('PACKAGE', APPNAME, 1)
 	conf.define('VERSION', VERSION, 1)
 	conf.define('REVISION', svn_rev, 1)
@@ -222,61 +273,10 @@
 
 	conf.env.append_value('CCFLAGS', '-DHAVE_CONFIG_H')
 	# Scintilla flags
-	conf.env.append_value('CXXFLAGS', '-DNDEBUG -DGTK -DGTK2 -DSCI_LEXER -DG_THREADS_IMPL_NONE'.split())
+	conf.env.append_value('CXXFLAGS', 
+		'-DNDEBUG -DGTK -DGTK2 -DSCI_LEXER -DG_THREADS_IMPL_NONE'.split())
 
 
 def set_options(opt):
 	opt.tool_options('compiler_cc')
 	opt.tool_options('compiler_cxx')
-	opt.tool_options('intltool')
-
-	if 'configure' in sys.argv:
-		# Features
-		opt.add_option('--disable-plugins', action='store_true', default=False,
-			help='compile without plugin support [default: No]', dest='no_plugins')
-		opt.add_option('--disable-socket', action='store_true', default=False,
-			help='compile without support to detect a running instance [[default: No]', dest='no_socket')
-		opt.add_option('--disable-vte', action='store_true', default=False,
-			help='compile without support for an embedded virtual terminal [[default: No]', dest='no_vte')
-		opt.add_option('--enable-gnu-regex', action='store_true', default=False,
-			help='compile with included GNU regex library [default: No]', dest='gnu_regex')
-		# Paths
-		opt.add_option('--mandir', type='string', default='',
-			help='man documentation', dest='mandir')
-		opt.add_option('--docdir', type='string', default='',
-			help='documentation root', dest='docdir')
-		opt.add_option('--libdir', type='string', default='',
-			help='object code libraries', dest='libdir')
-	# Actions
-	opt.add_option('--htmldoc', action='store_true', default=False,
-		help='generate HTML documentation', dest='htmldoc')
-	opt.add_option('--apidoc', action='store_true', default=False,
-		help='generate API reference documentation', dest='apidoc')
-	opt.add_option('--update-po', action='store_true', default=False,
-		help='update the message catalogs for translation', dest='update_po')
-
-
-def build(bld):
-	def build_plugin(plugin_name, install = True):
-		if install:
-			instpath = '${LIBDIR}/geany/'
-		else:
-			instpath = None
-
-		bld.new_task_gen(
-			features				='cc cshlib',
-			source					= 'plugins/' + plugin_name + '.c',
-			includes				= '. plugins/ src/ scintilla/include tagmanager/include',
-			target					= plugin_name,
-			uselib					= 'GTK',
-			install_path			= instpath,
-		)
-		bld.env['shlib_PATTERN']	= '%s.so'
-
-
-	# Tagmanager
-	if bld.env['USE_INCLUDED_REGEX'] == 1:
-		tagmanager_sources.append('tagmanager/regex.c')
-	bld.new_task_gen(
-		features		= 'cc cstaticlib',
-		source			= tagmanager_sources,

## geany 0.19.1

=== wscript ===
--- 
+++ 
@@ -3,8 +3,8 @@
 #
 # WAF build script - this file is part of Geany, a fast and lightweight IDE
 #
-# Copyright 2008-2009 Enrico Tröger <enrico(dot)troeger(at)uvena(dot)de>
-# Copyright 2008-2009 Nick Treleaven <nick(dot)treleaven(at)btinternet(dot)com>
+# Copyright 2008-2010 Enrico Tröger <enrico(dot)troeger(at)uvena(dot)de>
+# Copyright 2008-2010 Nick Treleaven <nick(dot)treleaven(at)btinternet(dot)com>
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -20,7 +20,7 @@
 # along with this program; if not, write to the Free Software
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 #
-# $Id: wscript 4079 2009-08-13 21:59:33Z eht16 $
+# $Id: wscript 5165 2010-08-16 11:22:45Z ntrel $
 
 """
 This is a WAF build script (http://code.google.com/p/waf/).
@@ -35,7 +35,7 @@
 Known issues: Dependency handling is buggy, e.g. if src/document.h is
 			  changed, depending source files are not rebuilt (maybe Waf bug).
 
-The code of this file itself loosely follows PEP 8 with some exceptions 
+The code of this file itself loosely follows PEP 8 with some exceptions
 (line width 100 characters and some other minor things).
 
 Requires WAF 1.5.7 and Python 2.4 (or later).
@@ -51,17 +51,18 @@
 import shutil
 import tempfile
 from distutils import version
+from TaskGen import taskgen, feature
 
 
 APPNAME = 'geany'
-VERSION = '0.18'
+VERSION = '0.19.1'
 
 srcdir = '.'
 blddir = '_build_'
 
 
 tagmanager_sources = [
-	'tagmanager/args.c', 'tagmanager/actionscript.c', 'tagmanager/asm.c',
+	'tagmanager/args.c', 'tagmanager/abc.c', 'tagmanager/actionscript.c', 'tagmanager/asm.c',
 	'tagmanager/basic.c', 'tagmanager/c.c',
 	'tagmanager/conf.c', 'tagmanager/css.c', 'tagmanager/ctags.c', 'tagmanager/diff.c',
 	'tagmanager/docbook.c', 'tagmanager/entry.c', 'tagmanager/fortran.c', 'tagmanager/get.c',
@@ -69,13 +70,14 @@
 	'tagmanager/keyword.c', 'tagmanager/latex.c', 'tagmanager/lregex.c', 'tagmanager/lua.c',
 	'tagmanager/make.c', 'tagmanager/markdown.c', 'tagmanager/matlab.c', 'tagmanager/nsis.c',
 	'tagmanager/nestlevel.c', 'tagmanager/options.c',
-	'tagmanager/parse.c', 'tagmanager/pascal.c',
+	'tagmanager/parse.c', 'tagmanager/pascal.c', 'tagmanager/r.c',
 	'tagmanager/perl.c', 'tagmanager/php.c', 'tagmanager/python.c', 'tagmanager/read.c',
 	'tagmanager/rest.c', 'tagmanager/ruby.c', 'tagmanager/sh.c', 'tagmanager/sort.c',
-	'tagmanager/sql.c', 'tagmanager/strlist.c', 'tagmanager/tcl.c', 'tagmanager/tm_file_entry.c',
+	'tagmanager/sql.c', 'tagmanager/strlist.c', 'tagmanager/txt2tags.c', 'tagmanager/tcl.c',
+	'tagmanager/tm_file_entry.c',
 	'tagmanager/tm_project.c', 'tagmanager/tm_source_file.c', 'tagmanager/tm_symbol.c',
 	'tagmanager/tm_tag.c', 'tagmanager/tm_tagmanager.c', 'tagmanager/tm_work_object.c',
-	'tagmanager/tm_workspace.c', 'tagmanager/vhdl.c', 'tagmanager/vstring.c' ]
+	'tagmanager/tm_workspace.c', 'tagmanager/vhdl.c', 'tagmanager/verilog.c', 'tagmanager/vstring.c' ]
 
 scintilla_sources = [
 	'scintilla/AutoComplete.cxx', 'scintilla/CallTip.cxx', 'scintilla/CellBuffer.cxx',
@@ -85,19 +87,19 @@
 	'scintilla/KeyWords.cxx',
 	'scintilla/LexAda.cxx', 'scintilla/LexAsm.cxx', 'scintilla/LexBash.cxx',
 	'scintilla/LexBasic.cxx', 'scintilla/LexCaml.cxx', 'scintilla/LexCmake.cxx', 'scintilla/LexCPP.cxx',
-	'scintilla/LexCrontab.cxx', 'scintilla/LexCSS.cxx', 'scintilla/LexD.cxx',
+	'scintilla/LexCSS.cxx', 'scintilla/LexD.cxx',
 	'scintilla/LexFortran.cxx', 'scintilla/LexHaskell.cxx', 'scintilla/LexHTML.cxx',
 	'scintilla/LexLua.cxx', 'scintilla/LexMarkdown.cxx', 'scintilla/LexMatlab.cxx',
 	'scintilla/LexNsis.cxx', 'scintilla/LexOthers.cxx',
 	'scintilla/LexPascal.cxx', 'scintilla/LexPerl.cxx', 'scintilla/LexPython.cxx',
 	'scintilla/LexR.cxx',
 	'scintilla/LexRuby.cxx', 'scintilla/LexSQL.cxx', 'scintilla/LexTCL.cxx',
-	'scintilla/LexVHDL.cxx', 'scintilla/LexYAML.cxx',
+	'scintilla/LexVHDL.cxx', 'scintilla/LexVerilog.cxx', 'scintilla/LexYAML.cxx',
 	'scintilla/LineMarker.cxx', 'scintilla/PerLine.cxx',
 	'scintilla/PlatGTK.cxx',
 	'scintilla/PositionCache.cxx', 'scintilla/PropSet.cxx', 'scintilla/RESearch.cxx',
 	'scintilla/RunStyles.cxx', 'scintilla/ScintillaBase.cxx', 'scintilla/ScintillaGTK.cxx',
-	'scintilla/scintilla-marshal.c', 'scintilla/StyleContext.cxx', 'scintilla/Style.cxx',
+	'scintilla/scintilla-marshal.c', 'scintilla/Selection.cxx', 'scintilla/StyleContext.cxx', 'scintilla/Style.cxx',
 	'scintilla/UniConversion.cxx', 'scintilla/ViewStyle.cxx', 'scintilla/WindowAccessor.cxx',
 	'scintilla/XPM.cxx' ]
 
@@ -108,21 +110,29 @@
 	'src/highlighting.c', 'src/interface.c', 'src/keybindings.c',
 	'src/keyfile.c', 'src/log.c', 'src/main.c', 'src/msgwindow.c', 'src/navqueue.c', 'src/notebook.c',
 	'src/plugins.c', 'src/pluginutils.c', 'src/prefix.c', 'src/prefs.c', 'src/printing.c', 'src/project.c',
-	'src/queue.c', 'src/sciwrappers.c', 'src/search.c', 'src/socket.c', 'src/stash.c',
+	'src/sciwrappers.c', 'src/search.c', 'src/socket.c', 'src/stash.c',
 	'src/symbols.c',
-	'src/templates.c', 'src/toolbar.c', 'src/tools.c', 'src/treeviews.c',
+	'src/templates.c', 'src/toolbar.c', 'src/tools.c', 'src/sidebar.c',
 	'src/ui_utils.c', 'src/utils.c' ]
 
 
 
 def configure(conf):
+	def in_git():
+		cmd = 'git ls-files >/dev/null 2>&1'
+		return (Utils.exec_command(cmd) == 0)
+
+	def in_svn():
+		return os.path.exists('.svn')
+
 	def conf_get_svn_rev():
 		# try GIT
-		if os.path.exists('.git'):
+		if in_git():
 			cmds = [ 'git svn find-rev HEAD 2>/dev/null',
 					 'git svn find-rev origin/trunk 2>/dev/null',
 					 'git svn find-rev trunk 2>/dev/null',
-					 'git svn find-rev master 2>/dev/null' ]
+					 'git svn find-rev master 2>/dev/null'
+					]
 			for c in cmds:
 				try:
 					stdout = Utils.cmd_output(c)
@@ -131,7 +141,7 @@
 				except:
 					pass
 		# try SVN
-		elif os.path.exists('.svn'):
+		elif in_svn():
 			try:
 				_env = None if is_win32 else {'LANG' : 'C'}
 				stdout = Utils.cmd_output(cmd='svn info --non-interactive', silent=True, env=_env)
@@ -186,6 +196,11 @@
 	conf.check(function_name='mkstemp', header_name='stdlib.h')
 	conf.check(function_name='strstr', header_name='string.h', mandatory=True)
 
+	# check sunOS socket support
+	if Options.platform == 'sunos':
+		conf.check(function_name='socket', lib='socket',
+			header_name='sys/socket.h', uselib_store='SUNOS_SOCKET', mandatory=True)
+
 	# check for cxx after the header and function checks have been done to ensure they are
 	# checked with cc not cxx
 	conf.check_tool('compiler_cxx misc')
@@ -194,9 +209,11 @@
 	# we don't require intltool on Windows (it would require Perl) though it works well
 	try:
 		conf.check_tool('intltool')
-	except:
-		pass
-
+		if 'LINGUAS' in os.environ:
+			conf.env['LINGUAS'] = os.environ['LINGUAS']
+	except Configure.ConfigurationError:
+		if not is_win32:
+			raise
 
 	# GTK / GIO version check
 	conf.check_cfg(package='gtk+-2.0', atleast_version='2.8.0', uselib_store='GTK',
@@ -265,18 +282,3 @@
 	print_message(conf, 'Install Geany ' + VERSION + ' in', conf.env['PREFIX'])
 	print_message(conf, 'Using GTK version', gtk_version)
 	print_message(conf, 'Build with GTK printing support', have_gtk_210 and 'yes' or 'no')
-	print_message(conf, 'Build with plugin support', Options.options.no_plugins and 'no' or 'yes')
-	print_message(conf, 'Use virtual terminal support', Options.options.no_vte and 'no' or 'yes')
-	if svn_rev != '-1':
-		print_message(conf, 'Compiling Subversion revision', svn_rev)
-		conf.env.append_value('CCFLAGS', '-g -DGEANY_DEBUG'.split())
-
-	conf.env.append_value('CCFLAGS', '-DHAVE_CONFIG_H')
-	# Scintilla flags
-	conf.env.append_value('CXXFLAGS', 
-		'-DNDEBUG -DGTK -DGTK2 -DSCI_LEXER -DG_THREADS_IMPL_NONE'.split())
-
-
-def set_options(opt):
-	opt.tool_options('compiler_cc')
-	opt.tool_options('compiler_cxx')
